:root {
  --body-background: #111;
  --topbar-background: #333;
  --topbar-text-color: #ccc;
  --wrapper-background: #222;
  --main-text-color: #ccc;
  --card-background: #232323;
  --card-text-color: #ccc;
}


body {
  font-family: "roboto", sans-serif;
  font-size: 16px;
  background-color: var(--body-background);
  color: var(--main-text-color)
}
.topbar {
  position: sticky;
  display: block;
  top: 0;
  left: 0;
  box-sizing: border-box;
  padding: 16px 40px;
  background-color: var(--topbar-background);
  color: var(--topbar-text-color);
}
.topbar h1 {
  font-size: 1.5em;
}
.wrapper {
  background-color: var(--wrapper-background);
  width: 100%;
  max-width: 500px;
  margin: 40px auto;
}
.wrapper h3 {
  padding: 1em;
  font-size: 1.2em;
}

.item-list {
  padding: 0 0 5px;
  display: block;
}
.item-card {
  display: block;
  align-items:center;
  background: var(--card-background);
  color: var(--card-text-color);
  height: 80px;
  position: relative;
  padding-left: 80px;
  margin-bottom: 5px;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  background-position: center center;
}
.item-image {
  position: absolute;
  width: 80px;
  height: 80px;
  overflow: hidden;
  left: 0;
  top: 0;
}
.item-image img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform:translate(-50%, -50%);
  max-height: 100%;
  min-width: 100%;
}
.item-info {
  display: flex;
  width: 100%;
  line-height: 80px;
  padding: 0 16px;
  align-items: center;
}
.item-info h4 {
  width: 100%;
  font-size: 1.2em;
}
.item-amount {
  width: 150px;
  line-height: inherit;
  font-weight: 600;
  line-height: 25px;
  user-select: none;
}
.item-amount .minus, .item-amount .plus {
  display: inline-block;
  width:25px;
  text-align: center;
  border-radius: 100%;
  background-color: rgba(0,0,0,0.6);
  cursor: pointer;
  box-shadow: 0px 0px 20px -8px rgba(255,255,255,0.6);
}
.item-amount .minus:active, .item-amount .plus:active {
  background-color: rgba(0,0,0,0.8);
  color: #666;
}
.item-amount .amount {
  display: inline-block;
  text-align: center;
  width: 50px;
  cursor: default;
}

form {
  display: block;
  padding: 10px;
}
form input {
  display: block;
  width: 100%;
  font-size: 1.2em;
  line-height: 1.2;
  padding: 10px;
  margin: 0 0 10px;
  outline: 0;
  border: 0;
  border-radius: 3px;
  box-sizing: border-box;
}